FROM node:22-alpine AS base
ENV PNPM_HOME="/pnpm"
ENV PATH="$PNPM_HOME:$PATH"
RUN corepack enable
WORKDIR /app

# Fetch dependencies
FROM base AS install
COPY pnpm-lock.yaml ./
RUN pnpm fetch

COPY . .
# Install production dependencies
RUN pnpm install --offline --prod --frozen-lockfile

# Install dev dependencies (needed for the build step)
RUN pnpm install --offline --frozen-lockfile

# Build
ENV NODE_ENV=production
RUN pnpm build

ENTRYPOINT ["node", "build"]
EXPOSE 3000
